<?php

namespace App\Console\Commands;

use App\Models\flibusta;
use App\Models\library;
use Illuminate\Console\Command;

class checkbooks extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'checkbooks';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
       $flibusta = flibusta::get();
       $i = 0;
       foreach ($flibusta as $item) {
           $is_library = library::where('fb_id',$item->flibusta_id)->first();
           if(!$is_library){
               $item->delete();
           }
           $i++;
           echo "{$i}\n";
       }
    }
}
